summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--profiles/orchid/package.accept_keywords1
-rw-r--r--profiles/orchid/parent1
-rw-r--r--profiles/targets/desktop/packages1
-rw-r--r--profiles/targets/steam/package.use5
-rw-r--r--www-apps/akkoma/akkoma-3.17.0.ebuild100
5 files changed, 107 insertions, 1 deletions
diff --git a/profiles/orchid/package.accept_keywords b/profiles/orchid/package.accept_keywords
index 21a89a3..1e74658 100644
--- a/profiles/orchid/package.accept_keywords
+++ b/profiles/orchid/package.accept_keywords
@@ -1,2 +1,3 @@
sys-kernel/installkernel
sys-boot/uefi-mkconfig
+media-sound/cyanrip ~amd64
diff --git a/profiles/orchid/parent b/profiles/orchid/parent
index f7e6960..5d20a66 100644
--- a/profiles/orchid/parent
+++ b/profiles/orchid/parent
@@ -2,3 +2,4 @@ enomicon:targets/base
enomicon:targets/desktop
enomicon:targets/cmdline
enomicon:targets/hacking
+enomicon:targets/steam
diff --git a/profiles/targets/desktop/packages b/profiles/targets/desktop/packages
index 8112035..8a6cedd 100644
--- a/profiles/targets/desktop/packages
+++ b/profiles/targets/desktop/packages
@@ -24,6 +24,7 @@ media-video/mpv
media-video/pipewire
net-misc/chrony
net-misc/dhcpcd
+net-news/sfeed
net-p2p/qbittorrent
net-wireless/iwd
sys-apps/uam
diff --git a/profiles/targets/steam/package.use b/profiles/targets/steam/package.use
index e38bcc0..cd7fb83 100644
--- a/profiles/targets/steam/package.use
+++ b/profiles/targets/steam/package.use
@@ -1,4 +1,3 @@
-Gpp-arch/brotli abi_x86_32
app-arch/brotli abi_x86_32
app-arch/bzip2 abi_x86_32
app-arch/xz-utils abi_x86_32
@@ -21,6 +20,7 @@ dev-libs/libxml2 abi_x86_32
dev-libs/nettle abi_x86_32
dev-libs/openssl abi_x86_32
dev-libs/wayland abi_x86_32
+dev-util/spirv-tools abi_x86_32
gui-libs/libdecor abi_x86_32
llvm-core/llvm abi_x86_32
media-gfx/graphite2 abi_x86_32
@@ -60,11 +60,13 @@ net-print/cups abi_x86_32
sys-apps/dbus abi_x86_32
sys-apps/systemd-utils abi_x86_32
sys-apps/util-linux abi_x86_32
+sys-libs/gdbm abi_x86_32
sys-libs/gpm abi_x86_32
sys-libs/libcap abi_x86_32
sys-libs/libudev-compat abi_x86_32
sys-libs/ncurses abi_x86_32
sys-libs/pam abi_x86_32
+sys-libs/readline abi_x86_32
sys-libs/zlib abi_x86_32
virtual/glu abi_x86_32
virtual/libelf abi_x86_32
@@ -87,6 +89,7 @@ x11-libs/libXrender abi_x86_32
x11-libs/libXv abi_x86_32
x11-libs/libXxf86vm abi_x86_32
x11-libs/libdrm abi_x86_32
+x11-libs/libpciaccess abi_x86_32
x11-libs/libxcb abi_x86_32
x11-libs/libxkbcommon abi_x86_32
x11-libs/libxshmfence abi_x86_32
diff --git a/www-apps/akkoma/akkoma-3.17.0.ebuild b/www-apps/akkoma/akkoma-3.17.0.ebuild
new file mode 100644
index 0000000..ac61d5a
--- /dev/null
+++ b/www-apps/akkoma/akkoma-3.17.0.ebuild
@@ -0,0 +1,100 @@
+# Copyright 2022-2023 Anna (navi) Figueiredo Gomes
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit mix optfeature git-r3
+
+DESCRIPTION="a smallish microblogging platform"
+HOMEPAGE="https://akkoma.social/"
+
+# SRC_URI="https://akkoma.dev/AkkomaGang/akkoma/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+EGIT_REPO_URI="https://akkoma.dev/AkkomaGang/akkoma.git"
+EGIT_COMMIT="v${PV}"
+S="${WORKDIR}/${P}"
+KEYWORDS="~amd64"
+
+LICENSE="AGPL-3 CC-BY-SA-4.0 CC-BY-4.0"
+SLOT="otp"
+
+# Requires network access (https) as long as elixir dependencies aren't packaged
+# said dependencies have their checksum verified via `mix.lock`
+RESTRICT="mirror network-sandbox"
+
+BDEPEND="
+ >=dev-lang/erlang-25:=
+ >=dev-lang/elixir-1.14:=
+ dev-build/cmake
+ >=dev-util/rebar-3.20.0-r1
+ dev-elixir/hex
+"
+DEPEND="
+ sys-libs/ncurses:=
+ sys-apps/file
+"
+RDEPEND="
+ ${DEPEND}
+ acct-user/akkoma
+ acct-group/akkoma
+ dev-db/postgresql[uuid]
+"
+
+src_unpack() {
+ default
+ git-r3_src_unpack
+
+ cd "${S}" || die
+ emix deps.get --only prod
+}
+
+src_prepare() {
+ default
+
+ sed -i -e '/include_executables_for:/a\ strip_beams: false,\n\ include_erts: false,' mix.exs || die
+
+ sed -i \
+ -e '/update \[OPTIONS\]/,/--tmp-dir/d' \
+ -e 's;update "$@";echo "Unsupported, check the '"${CATEGORY}/${PN}"' package instead.";' \
+ rel/files/bin/pleroma_ctl || die
+
+ # Default ends up being inside /opt/akkoma which should be kept read-only to akkoma
+ echo 'config :tzdata, :data_dir, "/var/lib/akkoma/tzdata"' >> config/prod.exs || die
+
+ echo "import Config" > config/prod.secret.exs || die
+}
+
+src_compile() {
+ mkdir -p akkoma || die
+ emix release --overwrite --path akkoma
+}
+
+src_install() {
+ # doins doesn't seems to preserve permissions
+ mkdir -p "${ED}/opt" || die
+ cp -pr ./akkoma "${ED}/opt/akkoma" || die
+ fperms 0750 /opt/akkoma
+ fowners 0:akkoma /opt/akkoma
+
+ doinitd ./akkoma/installation/init.d/akkoma
+
+ dosym /opt/akkoma/bin/pleroma /usr/bin/pleroma
+ dosym /opt/akkoma/bin/pleroma_ctl /usr/bin/pleroma_ctl
+
+ # This file controls console access
+ fperms 0750 /opt/akkoma/releases/COOKIE
+ fowners 0:akkoma /opt/akkoma/releases/COOKIE
+
+ keepdir /etc/akkoma
+ fperms 0750 /etc/akkoma
+ fowners 0:akkoma /etc/akkoma
+
+ keepdir /var/lib/akkoma
+ fperms 0750 /var/lib/akkoma
+ fowners akkoma:akkoma /var/lib/akkoma
+}
+
+pkg_postinst() {
+ optfeature "For Pleroma.Upload.Filters.{Mogrify,Mogrifun} & images in previews" media-gfx/imagemagick
+ optfeature "For video support in Media Preview Proxy" media-video/ffmpeg
+ optfeature "For Pleroma.Upload.Filters.Exiftool.* filters" media-libs/exiftool
+}